- Qt 6.9
- Qt 3D
- C++ Classes
- Qt3DExtras (Deprecated)
- QPerVertexColorMaterial
- Qt 6.9.2 Reference Documentation

# Qt3DExtras::QPerVertexColorMaterial Class

class Qt3DExtras::QPerVertexColorMaterial

The QPerVertexColorMaterial class provides a default implementation for rendering the color properties set for each vertex. More...

Header: | `#include <QPerVertexColorMaterial>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3dextras)` `target_link_libraries(mytarget PRIVATE Qt6::3dextras)`
qmake: | `QT += 3dextras`
Inherits: | Qt3DRender::QMaterial
Status: | Deprecated

- List of all members, including inherited members

## Public Functions

| QPerVertexColorMaterial(Qt3DCore::QNode *parent = nullptr)
virtual | ~QPerVertexColorMaterial()

## Detailed Description

This lighting effect is based on the combination of 2 lighting components ambient and diffuse. Ambient is set by the vertex color. Diffuse takes in account the normal distribution of each vertex.

- Ambient is the color that is emitted by an object without any other light source.
- Diffuse is the color that is emitted for rough surface reflections with the lights

This material uses an effect with a single render pass approach and forms fragment lighting. Techniques are provided for OpenGL 2, OpenGL 3 or above as well as OpenGL ES 2.

## Member Function Documentation

### `[explicit]` QPerVertexColorMaterial::QPerVertexColorMaterial(Qt3DCore::QNode *parent = nullptr)

Constructs a new QPerVertexColorMaterial instance with parent object parent.

### `[virtual noexcept]` QPerVertexColorMaterial::~QPerVertexColorMaterial()

Destroys the QPerVertexColorMaterial